summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-04-13 22:34:13 +0000
committerjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-04-13 22:34:13 +0000
commitf21467f19d3b1dc6799d21ad550f0e4ea62bbee0 (patch)
tree8d381e5ff3faa720e245a4fa79196ac36e7ee3d3
parentfa4b0fde6931a689427f26df54734940e3739af8 (diff)
[brcm-2.4] add Buffalo WHR-G125 specifc switch quirks to netconfig, shorten code by merging identical fixes
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@20846 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rwxr-xr-xtarget/linux/brcm-2.4/base-files/etc/init.d/netconfig16
1 files changed, 4 insertions, 12 deletions
diff --git a/target/linux/brcm-2.4/base-files/etc/init.d/netconfig b/target/linux/brcm-2.4/base-files/etc/init.d/netconfig
index d20ff43b8..d7839b6b4 100755
--- a/target/linux/brcm-2.4/base-files/etc/init.d/netconfig
+++ b/target/linux/brcm-2.4/base-files/etc/init.d/netconfig
@@ -112,9 +112,9 @@ start() {
c["wan_ifname"] = "eth1"
c["lan_ifname"] = "eth0"
}
- if (model == "ASUS WL-500g Premium V2") {
- c["vlan0ports"] = "0 1 2 3 5"
- c["vlan1ports"] = "4 5"
+ if ((model == "ASUS WL-500g Premium V2") || (model == "Dell TrueMobile 2300 v2") || (model == "Buffalo WHR-G125")) {
+ c["vlan0ports"] = "0 1 2 3 5"
+ c["vlan1ports"] = "4 5"
}
if (model == "Dell TrueMobile 2300") {
c["lan_ifname"] = "eth0"
@@ -122,20 +122,12 @@ start() {
c["vlan0ports"] = "0 1 2 3 4 5u"
c["vlan1ports"] = ""
}
- if (model == "Dell TrueMobile 2300 v2") {
- c["vlan0ports"] = "0 1 2 3 5"
- c["vlan1ports"] = "4 5"
- }
if (nvram["boardtype"] == "bcm94710r4") {
# Toshiba WRC-1000
c["lan_ifname"] = "eth0"
c["wan_ifname"] = "eth1"
}
- if (nvram["boardtype"] == "wgt634u") {
- c["vlan0ports"] = "0 1 2 3 5"
- c["vlan1ports"] = "4 5"
- }
- if (nvram["boardtype"] == "0x0467") {
+ if ((nvram["boardtype"] == "wgt634u") || (nvram["boardtype"] == "0x0467")) {
c["vlan0ports"] = "0 1 2 3 5"
c["vlan1ports"] = "4 5"
}